Groovy Documentation

## org.codehaus.groovy.ast.stmt
[Java] Class EmptyStatement

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.stmt.Statement
              org.codehaus.groovy.ast.stmt.EmptyStatement

    public class EmptyStatement
    extends Statement

Represents an empty statement

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`static EmptyStatement` | `INSTANCE`

Method Summary
`boolean` | `isEmpty()`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Statement
getStatementLabel, isEmpty, setStatementLabel

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### INSTANCE

    public static final EmptyStatement INSTANCE

Method Detail

### isEmpty

    public boolean isEmpty()

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation